Skip to content
Start here

List all SYN Protection filters.

ddos_protection.advanced_tcp_protection.syn_protection.filters.list(FilterListParams**kwargs) -> SyncV4PagePaginationArray[FilterListResponse]
GET/accounts/{account_id}/magic/advanced_tcp_protection/configs/syn_protection/filters

List all SYN Protection filters for an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
DDoS Protection WriteDDoS Protection Read
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
direction: Optional[str]

The direction of ordering (ASC or DESC). Defaults to ‘ASC’.

mode: Optional[str]

The mode of the filters to get. Optional. Valid values: ‘enabled’, ‘disabled’, ‘monitoring’.

order: Optional[str]

The field to order by. Defaults to ‘prefix’.

page: Optional[int]

The page number for pagination. Defaults to 1.

formatint64
per_page: Optional[int]

The number of items per page. Must be between 10 and 1000. Defaults to 25.

formatint64
ReturnsExpand Collapse
class FilterListResponse:
id: str

The unique ID of the expression filter.

created_on: datetime

The creation timestamp of the expression filter.

formatdate-time
expression: str

The filter expression.

mode: str

The filter’s mode. Must be one of ‘enabled’, ‘disabled’, ‘monitoring’.

modified_on: datetime

The last modification timestamp of the expression filter.

formatdate-time

List all SYN Protection filters.

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.ddos_protection.advanced_tcp_protection.syn_protection.filters.list(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result[0]
print(page.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "id",
      "created_on": "2019-12-27T18:11:19.117Z",
      "expression": "ip.dst in { 192.0.2.0/24 198.51.100.0/24 } and tcp.srcport in { 80 443 10000..65535 }",
      "mode": "mode",
      "modified_on": "2019-12-27T18:11:19.117Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "id",
      "created_on": "2019-12-27T18:11:19.117Z",
      "expression": "ip.dst in { 192.0.2.0/24 198.51.100.0/24 } and tcp.srcport in { 80 443 10000..65535 }",
      "mode": "mode",
      "modified_on": "2019-12-27T18:11:19.117Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}